org.firebirdsql.gds

## Class GDSException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.firebirdsql.gds.GDSException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    GDSServerVersionException

      public class GDSException
      extends java.lang.Exception

  A GDS-specific exception
  Author:
    David Jencks, Roman Rokytskyy
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GDSException(int fbErrorCode)` Create a new instance.
    `GDSException(int type, int intParam)` Create a new instance.
    `GDSException(int type, int fbErrorCode, java.lang.String strParam)` Construct instance of this class.
    `GDSException(int type, int fbErrorCode, java.lang.String strParam, java.lang.Throwable cause)` Construct instance of this class.
    `GDSException(int type, java.lang.String strParam)` Create a new instance.
    `GDSException(int fbErrorCode, java.lang.Throwable cause)` Create a new instance.
    `GDSException(java.lang.String message)` Create a new instance with only a simple message.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GDSException` | `createWithXAErrorCode(java.lang.String message, int xaErrorCode)` Factory method to create a new instance with a given `XA` error code.
    `int` | `getFbErrorCode()` Get the Firebird-specific error code for this exception.
    `int` | `getIntParam()` Get the `int` parameter for this exception.
    `java.lang.String` | `getMessage()` Returns a string representation of this exception.
    `GDSException` | `getNext()` Get the next chained exception.
    `java.lang.String` | `getParam()` Returns the parameter depending on the type of the error code.
    `java.lang.String` | `getSQLState()` Get the SQL state of this exception.
    `int` | `getXAErrorCode()` Get the XaErrorCode value.
    `boolean` | `isWarning()` Retrieve whether this exception is a warning.
    `void` | `setNext(GDSException e)` Set the next exception in the chain.
    `void` | `setXAErrorCode(int xaErrorCode)` Set the XaErrorCode value.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GDSException

          public GDSException(int type,
                              int intParam)

      Create a new instance.
      Parameters:
        `type` - type of the exception, should be always `ISCConstants.isc_arg_gds`, otherwise no message will be displayed.
        `intParam` - Additional int parameter about the new exception

    - #### GDSException

          public GDSException(int type,
                              java.lang.String strParam)

      Create a new instance.
      Parameters:
        `type` - type of the exception, should be always `ISCConstants.isc_arg_gds`, otherwise no message will be displayed.
        `strParam` - value of the string parameter that will substitute `{0}` entry in error message corresponding to the specified error code.

    - #### GDSException

          public GDSException(int type,
                              int fbErrorCode,
                              java.lang.String strParam)

      Construct instance of this class. This method correctly constructs chain of exceptions for one string parameter.
      Parameters:
        `type` - type of the exception, should be always `ISCConstants.isc_arg_gds`, otherwise no message will be displayed.
        `fbErrorCode` - Firebird error code, one of the constants declared in `ISCConstants`
        `strParam` - value of the string parameter that will substitute `{0}` entry in error message corresponding to the specified error code.

    - #### GDSException

          public GDSException(int type,
                              int fbErrorCode,
                              java.lang.String strParam,
                              java.lang.Throwable cause)

      Construct instance of this class. This method correctly constructs chain of exceptions for one string parameter.
      Parameters:
        `type` - type of the exception, should be always `ISCConstants.isc_arg_gds`, otherwise no message will be displayed.
        `fbErrorCode` - Firebird error code, one of the constants declared in `ISCConstants`
        `strParam` - value of the string parameter that will substitute `{0}` entry in error message corresponding to the specified error code.
        `cause` - Cause of this exception

    - #### GDSException

          public GDSException(int fbErrorCode)

      Create a new instance.
      Parameters:
        `fbErrorCode` - Firebird error code, one of the constants declared in `ISCConstants`

    - #### GDSException

          public GDSException(int fbErrorCode,
                              java.lang.Throwable cause)

      Create a new instance.
      Parameters:
        `fbErrorCode` - Firebird error code, one of the constants declared in `ISCConstants`
        `cause` - Cause of this exception

    - #### GDSException

          public GDSException(java.lang.String message)

      Create a new instance with only a simple message.
      Parameters:
        `message` - Message for the new exception

  - ### Method Detail

    - #### createWithXAErrorCode

          public static GDSException createWithXAErrorCode(java.lang.String message,
                                                           int xaErrorCode)

      Factory method to create a new instance with a given `XA` error code.
      Parameters:
        `message` - Message for the new instance
        `xaErrorCode` - The `XA` error code

    - #### getFbErrorCode

          public int getFbErrorCode()

      Get the Firebird-specific error code for this exception.
      Returns:
        The Firebird error code

    - #### getSQLState

          public java.lang.String getSQLState()

      Get the SQL state of this exception.
      Returns:
        the SQL state of this exception or `null` if this object does not represent an error.

    - #### getIntParam

          public int getIntParam()

      Get the `int` parameter for this exception.
      Returns:
        The `int` parameter

    - #### getXAErrorCode

          public int getXAErrorCode()

      Get the XaErrorCode value.
      Returns:
        the XaErrorCode value.

    - #### setXAErrorCode

          public void setXAErrorCode(int xaErrorCode)

      Set the XaErrorCode value.
      Parameters:
        `xaErrorCode` - The new XaErrorCode value.

    - #### setNext

          public void setNext(GDSException e)

      Set the next exception in the chain.
      Parameters:
        `e` - The next chained exception

    - #### getNext

          public GDSException getNext()

      Get the next chained exception.
      Returns:
        The next chained exception

    - #### isWarning

          public boolean isWarning()

      Retrieve whether this exception is a warning.
      Returns:
        `true` if this is a warning, `false` otherwise

    - #### getMessage

          public java.lang.String getMessage()

      Returns a string representation of this exception.
      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### getParam

          public java.lang.String getParam()

      Returns the parameter depending on the type of the error code.

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.